Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Неудачный апдейт до Lucid. Пропали иксы и ввод с клавиатуры  (Прочитано 642 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн beelesnik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 15
    • Просмотр профиля
Добрый день.
Имел на Karmic Koala на ноутбуке HP Compaq 6910p. Все устраивало и работало до тех пор, пока мне не вздумалось проапгрейдиться до Lucid RC.
Вчера поменял в sources.list karmic на Lucid и дал команду apt-get update.
В итоге скачал море новых пакетов от люсида, но установка их заканчивается вот такой неудачей. Далее кусок лога от apt-get -f install, но суть не меняется:

sergei@home:~$ sudo apt-get -f install
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  python-crypto python-alsaaudio melt desktop-base
python-twisted-names mutter-common python-pygoocanvas
libboost-regex1.34.1 libntfs10
  python-pyinotify libxcb-keysyms1 lvm2 kdebase-runtime-data-common
libmpeg3cv python-protobuf xulrunner-1.9.1-gnome-support libmlt++2
  libcvaux1 libgpac0.4.4 python-twisted-web libsdl-gfx1.2-4 libglpng
libfame-0.9 libxmmsclient5 fortunes-min dictzip testdisk
  ocaml-base-nox smplayer-translations manpages-dev toolame
gobject-introspection-glib-2.0 libpvm3 libsctp1 protobuf-compiler
  openoffice.org-hyphenation-de obconf libxerces-c28 libtext-glob-perl
libgoocanvas-common libdns50 libgnomenu0-2 libdate-calc-perl
  libswt-gtk-3.5-jni python-sqlalchemy libcompress-bzip2-perl leafpad
libcddb2 python-telepathy libass1 libcarp-clan-perl fortune-mod
  gobject-introspection-repository frei0r-plugins
libboost-thread1.38.0 libdvbpsi4 python-utidylib libsdl-net1.2
gobject-introspection
  libloudmouth1-0 libpcrecpp0 tango-icon-theme libalut0 python-mlt
libmutter0 libtorrent-rasterbar5 librecode0 libtidy-0.99-0 python-qt3
  libgammu5 ttf-uralic libfltk1.1 libmikmod2 gjs
libboost-signals1.38.0 libupnp3 libgavl1 libglc0 libclutter-1.0-0
icedax libnet-ip-perl
  python-feedparser libgirepository1.0-0
gobject-introspection-freedesktop avant-window-navigator-data kvm
libnet-dns-perl
  openoffice.org-hyphenation media-player-info libxml2-dev libffado1
python-dateutil libcv1 libglobalmenu-gnome libmicrohttpd5 pvm
  lksctp-tools thunar-data libfile-find-rule-perl python-gtk-vnc
xmms2-core libsdl-mixer1.2 libhighgui1 gpicview libquicktimecv
  xserver-xephyr libzlcore0.9 khelpcenter4 python-configglue
openoffice.org-thesaurus-de-ch libmaa1 lxshortcut libtommath0
  optlibx11-noxcb-data libguicastcv libgmyth0 libconfig-tiny-perl
liblrdf0 libdigest-hmac-perl libboost-filesystem1.38.0 python-papyon
  openoffice.org-thesaurus-de sqlite3 libswt-gtk-3.5-java watershed
libmlt-data python-chardet optlibx11-noxcb-6 libestools1.2
  gstreamer0.10-gnonlin libdc0c2 libglademm-2.4-1c2a freeglut3
libgoocanvas3 libnumber-compare-perl libxmmsclient-glib1
  libboost-system1.38.0 libdevil1c2 libmlt1 libmpeg3-1
libbit-vector-perl python-urlgrabber mutter libsmpeg0
Для их удаления используйте 'apt-get autoremove'.
Будут установлены следующие дополнительные пакеты:
  libatk1.0-dev
Пакеты, которые будут обновлены:
  libatk1.0-dev
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0
пакетов, и 1024 пакетов не обновлено.
не установлено до конца или удалено 728 пакетов.
Необходимо скачать 0B/106kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 352kB.
Хотите продолжить [Д/н]? д
(Чтение базы данных ... на данный момент установлено 257987 файлов и каталогов.)
Подготовка к замене пакета libatk1.0-dev 1.28.0-0ubuntu1 (используется
файл .../libatk1.0-dev_1.30.0-0ubuntu2_i386.deb) ...
Распаковывается замена для пакета libatk1.0-dev ...
dpkg: не удалось обработать параметр
/var/cache/apt/archives/libatk1.0-dev_1.30.0-0ubuntu2_i386.deb
(--unpack):
 попытка перезаписи '/usr/share/gir-1.0/Atk-1.0.gir', котор(ый)ая
также находится в пакете gobject-introspection-repository
0:0.6.5-0ubuntu1
dpkg-deb: подпроцесс вставка завершён по сигналу (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libatk1.0-dev_1.30.0-0ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Никто не сталкивался с этой проблемой?
Плюс, после недоапгрейда не стартуют в автомате иксы на ноутбуке и к тому же клавиатура работает только в консоли, в иксах - нет реакции на клавиши?
Очень не хочется переустанавливать систему, т.к. многое настроено.
Помогите, плиз.

Оффлайн sciko

  • Активист
  • *
  • Сообщений: 854
    • Просмотр профиля
dpkg-deb: подпроцесс вставка завершён по сигналу (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libatk1.0-dev_1.30.0-0ubuntu2_i386.deb
Предлагаю не устанавливать этот пакет. Всё равно это девелоперская версия.

Плюс, после недоапгрейда не стартуют в автомате иксы на ноутбуке и к тому же клавиатура работает только в консоли, в иксах - нет реакции на клавиши?
Надо довести до конца апгрейд.

Очень не хочется переустанавливать систему, т.к. многое настроено.
Тогда только даунгрейд.

Оффлайн beelesnik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 15
    • Просмотр профиля
>Предлагаю не устанавливать этот пакет. Всё равно это девелоперская версия.
А как от него избавится сейчас? Пакет уже есть и не обновляется.  Можно в  apt-get update  исключение сделать?

Оффлайн sciko

  • Активист
  • *
  • Сообщений: 854
    • Просмотр профиля
А как от него избавится сейчас? Пакет уже есть и не обновляется.  Можно в  apt-get update  исключение сделать?
Предлагаю вариант:
aptitude
Там нажать g. Скорее всего будет список пакетов на обновление. найти пакет libatk1.0-dev_1.30.0-0ubuntu2_i386.deb и удалить. Закончить обновление.

Оффлайн beelesnik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 15
    • Просмотр профиля
Спасибо. Попробую дома...

 

Страница сгенерирована за 0.056 секунд. Запросов: 22.